Siena C++ API Documentation
Author: Antonio Carzaniga

Siena C++ API documentation (v. 0.4.3)

- Main Page
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# SienaBase Class Reference

`#include <Siena.h>`

Inheritance diagram for SienaBase:

List of all members.

## Public Member Functions
virtual void | publish (const Notification &e)=0
virtual void | advertise (const Filter &f, const SienaId &)
virtual void | unadvertise (const Filter &, const SienaId &)
virtual void | unadvertise (const SienaId &)
virtual void | shutdown ()

## Detailed Description

minimal publish-only interface to Siena.

this interface (virtual class) represents a minimal interface to the Siena service that is limited to publications. In practice, this interface does not allow subscriptions.

## Member Function Documentation

virtual void SienaBase::publish | ( | const Notification & | e | ) | `[pure virtual]`

publish a notification

Implemented in ThinClient.

virtual void SienaBase::advertise | ( | const Filter & | f,
|  | const SienaId & |  |
| ) |  |  | `[virtual]`

advertises a class of notifications

virtual void SienaBase::unadvertise | ( | const Filter & | ,
|  | const SienaId & |  |
| ) |  |  | `[virtual]`

cancels a set of advertisements

virtual void SienaBase::unadvertise | ( | const SienaId & |  | ) | `[virtual]`

cancels all advertisements for the same id

virtual void SienaBase::shutdown | ( |  | ) | `[virtual]`

closes the interface to the Siena service

Reimplemented in ThinClient.

The documentation for this class was generated from the following file:

- Siena.h

Copyright © 2001 University of Colorado.
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License". This documentation is authored and maintained by Antonio Carzaniga